Skip to main content
GET
List cost kits

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

include
enum<string>[]

A comma separated list of related resources to include.

What a kit contains is deliberately not includable. The lines point at the kit rather than the other way round, so there is nothing on a kit to sideload through. Ask for it with GET /v3/cost-kit-lines?filter=eq(cost_kit,<id>).

Available options:
organisation
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • id_in: Filter by cost kit ID(s)
  • code: Filter by kit code
  • name: Filter by kit name

For more information on using named filters, see the docs

sort
enum<string>[]

A comma separated list of fields to sort by.

Available options:
code,
-code,
name,
-name,
created_at,
-created_at
limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0

Response

List of cost kits.

JSON API response object

data
A list of cost kits · object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when a cost kit is returned